2019-08-24 00:40 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005030Spring engineGeneralpublic2016-01-13 05:30
Reportergajop 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version100.0+gitFixed in Version 
Summary0005030: Features are sometimes not rendered (map specific)
DescriptionOn some maps, like the Industrial Revolution, features aren't being rendered (sans shadows).
It seems to happen both with advmodelshading on and off, and only affects features (units seem to work fine).
Additionally gl.FeatureShape seems to work regardless.
Picture below:
http://i.imgur.com/qF3h9cL.jpg

The same features (at least trees) work fine on other maps
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015476

gajop (developer)

Last edited: 2016-01-11 08:23

View 2 revisions

Update: It's weirder than I thought.
It actually seems to depend on where the feature is *created*.
Example image: http://i.imgur.com/tSMW1pE.jpg

On the above map features created on the ground seem invisible, but if they get created in the water and moved on ground they remain visible.

~0015477

hokomoko (developer)

Hijacking to say there's also an issue with teamcolors in ZK (spawn armpw, it's black)

~0015478

Kloot (developer)

Last edited: 2016-01-11 15:16

View 2 revisions

Team color now needs to be set as a uniform when custom shaders are used; there was an FFP hack in place previously which got axed. Making the engine handle it automatically turned out to be a bit problematic.

gajop: do you have a standalone test gadget (which just needs to do the bare minimum, ie Spring.CreateFeature + Spring.SetFeaturePosition) I can use?

~0015487

gajop (developer)

Added test gadget, works with Industrial Revolution v1 map (http://springfiles.com/spring/spring-maps/industrial-revolution-v1) as it already has some map features.
By default no feature should be visible.

~0015489

Kloot (developer)

Last edited: 2016-01-12 14:12

View 3 revisions

Copied that gadget into BA 9.21 as-is, all CreateFeature()'d objects on IRv1 are normally visible for me (using a build that contains 1641ebc810) including those in water. Uncommenting the SetFeaturePosition call makes no visible difference.

(zooming out they alpha-fade away, but that's expected behavior)

~0015494

gajop (developer)

This seems to have been an issue with a bad local springsettings.cfg I've applied the SpringCabal one we use (https://github.com/SpringCabal/SkeletonPackaging/blob/master/Base/springsettings.cfg sans default startscript) and it worked well.

Sadly I've lost the original springsettings.cfg, but the one I've attached seems to have similar (although not exact) issues.

Broken springsettings.cfg: http://hastebin.com/ecumoxelaw.ini
Features on a higher elevation aren't rendered, despite being close enough not to fade out: http://i.imgur.com/xQEmu7R.jpg . The ones in the water have slightly broken rendering which automatically fixes itself after some time (10-20s after game load).

~0015496

Kloot (developer)

Last edited: 2016-01-12 20:01

View 4 revisions

With that config I can reproduce it; seems to be caused by ReflectiveWater=4.

With my own config using BumpWater causes no issues.

update: it's one of the BumpWater* parameters, specifically BumpWaterRefraction = 2

~0015502

Anonymous (viewer)

Fix f44660032aed4cc5de10bedddf83908dfcbf3b18 committed to develop branch: fix 0005030
split the "should be drawn in pass X" bits out of drawAlpha and into its own flag
prefer Render*Destroyed for decal cleanup to including Rendering/ headers in Sim/, repo: spring changeset id: 6235
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-01-11 08:14 gajop New Issue
2016-01-11 08:14 gajop Status new => assigned
2016-01-11 08:14 gajop Assigned To => Kloot
2016-01-11 08:23 gajop Note Added: 0015476
2016-01-11 08:23 gajop Note Edited: 0015476 View Revisions
2016-01-11 14:37 hokomoko Note Added: 0015477
2016-01-11 14:54 Kloot Note Added: 0015478
2016-01-11 15:16 Kloot Note Edited: 0015478 View Revisions
2016-01-12 04:56 gajop File Added: feature_spawner.lua
2016-01-12 04:58 gajop Note Added: 0015487
2016-01-12 14:05 Kloot Note Added: 0015489
2016-01-12 14:10 Kloot Note Edited: 0015489 View Revisions
2016-01-12 14:12 Kloot Note Edited: 0015489 View Revisions
2016-01-12 19:23 gajop Note Added: 0015494
2016-01-12 19:48 Kloot Note Added: 0015496
2016-01-12 19:51 Kloot Note Edited: 0015496 View Revisions
2016-01-12 19:58 Kloot Note Edited: 0015496 View Revisions
2016-01-12 20:01 Kloot Note Edited: 0015496 View Revisions
2016-01-13 05:30 Changeset attached => spring develop f4466003
2016-01-13 05:30 Anonymous Note Added: 0015502
2016-01-13 05:30 Anonymous Status assigned => resolved
2016-01-13 05:30 Anonymous Resolution open => fixed
+Issue History